name: ubuntu-calculator-app
version: 2.3.1
summary: Ubuntu Calculator app
description: The calculator app for all Ubuntu devices.
confinement: strict
grade: stable
architectures: [all]

apps:
    ubuntu-calculator-app:
        command: desktop-launch qmlscene "$@" $SNAP/usr/share/ubuntu-calculator-app/ubuntu-calculator-app.qml
        plugs: [opengl, platform, unity7, unity8, mir]

plugs:
    platform:
        interface: content
        content: ubuntu-app-platform1
        target: ubuntu-app-platform

    testability:
        interface: content
        content: testability
        target: testability

parts:
    ubuntu-calculator-app:
        plugin: cmake
        configflags: [-DCMAKE_INSTALL_PREFIX=/usr, -DCLICK_MODE=off]
        source: .
        build-packages:
            - cmake
            - gettext
            - intltool
            - python3
            - qtbase5-dev
            - qtdeclarative5-dev
        snap:
          - -usr/share/doc
          - -usr/include
        after: [desktop-ubuntu-app-platform]

    environment:
        source: snap/
        plugin: dump
